/* MAIN PAGE CSS */
main {
  flex: 1;
}

/* video */
.video--block {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  filter: brightness(50%);
}
.video--block video {
  width: 100%;
  height: 100%;
}

/* about */
.about_section {
  padding-top: 120px;
  text-transform: uppercase;
}
.about_section .fac-subtit {
  text-transform: none;
}
.about_content {
  display: flex;
  justify-content: space-between;
  gap: 20px;
}
.big_menu--area {
  visibility: hidden;
  width: 330px;
}

.big_menu--area a {
  font-size: 18px;
  font-family: var(--hoho);
}

.single_section .single_menu--area {
  width: 330px;
}
.single_menu--area .tx--block {
  word-break: keep-all;
  overflow-wrap: break-word;
}
/* submenu */
.sub_menu--area {
  position: sticky;
  top: 100px;
  left: 0;
  min-width: 300px;
}
.sub_menu--area.v1 {
  min-width: auto;
}
.sub_menu--area.v1 .sub_menu--list .nohoho a {
  font-family: var(--pre) !important;
  font-weight: 600;
}
.sub_menu--area .sub_menu--list {
  position: sticky;
  top: 100px;
  left: 0;
  display: flex;
  flex-direction: column;
  gap: 7px;
}

.sub_menu--area .sub_menu--list li.active a {
  font-family: var(--hoho);
  font-weight: 100;
  opacity: 1;
}
.sub_menu--area .sub_menu--list li a {
  position: relative;
  font-size: 18px;
  opacity: 0.6;
  transition: all 0.4s ease;
  font-family: var(--hoho);
}
.sub_menu--area .sub_menu--list li a:hover {
  opacity: 1;
}
.sub_menu--area .sub_menu--list li a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  height: 1px;
  width: 0;
  background-color: #000;
  transition: width 0.4s ease;
}

.sub_menu--area .sub_menu--list li a:hover::after {
  width: 100%;
}
.sub_menu--area .sub_menu--list li.active a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  height: 1px;
  width: 100%;
  background-color: var(--primary-black);
  transition: width 0.4s ease;
}
.sub_menu--area .sub_menu--list li a.active {
  opacity: 1;
}

.content--area {
  display: flex;
  flex-direction: column;
  max-width: 1000px;
  flex: 1;
  text-transform: none;
}
.content--area h3 {
  font-weight: var(--font-sb);
  margin-bottom: 10px;
  font-size: 16px;
}
.content--area .company_tx {
  margin-bottom: 50px;
}
.content--area .img--block img {
  width: 100%;
  height: 100%;
}

/* company */
.company_section .content--area .img--block {
  margin-bottom: 120px;
}

/* timeline */
.timeline--list {
  display: flex;
  flex-direction: column;
  gap: 25px;
  margin-bottom: 120px;
}
.timeline--list .tl--item {
  display: flex;
  flex-direction: column;
  width: 100%;
}
.timeline--list .tl--item .year-tx {
  position: relative;
  display: flex;
  align-items: center;
  font-size: 18px;
  padding-right: 10px;
  margin-right: 10px;
}
.timeline--list .tl--item .year-tx::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 0%;
  transform: translateY(-50%);
  width: 1px;
  height: 50%;
  background: var(--primary-black);
}
.timeline--list .tl--item .tl-tit {
  flex: 1;
  font-size: 18px;
}
.timeline--list .tl--item .tl-hidden--block {
  visibility: hidden;
  opacity: 0;
  max-height: 0;
  overflow: hidden;
  transition: all 0.4s ease;
}
.timeline--list .tl--item.active .tl-hidden--block {
  visibility: visible;
  opacity: 1;
  max-height: 1000px;
}
.timeline--list .tl--item .tl-hidden--block .tl-subtit {
  font-size: 16px;
  margin-bottom: 30px;
  margin-top: 10px;
  max-width: 800px;
}
.timeline--list .tl--item .tl-hidden--block .img--block {
  margin-bottom: 30px;
}
.tl-top--row {
  position: relative;
  display: flex;
  align-items: center;
  cursor: pointer;
  width: 100%;
  font-weight: var(--font-sb);
}

/* ceo */

.ceo_content--area .fac-subtit {
  max-width: 740px;

  font-size: 1.05rem;
  line-height: 1.9;
  letter-spacing: -0.01em;
  color: #222;
  margin-bottom: 0;
  word-break: keep-all;
}

/* 문단 간 리듬 */
.ceo_content--area .fac-subtit br + br {
  display: block;
  content: "";
  margin-top: 1.4em;
}

/* 마지막 서명 영역 */
.ceo_content--area .fac-subtit {
  position: relative;
}

/* 모바일 최적화 */
@media (max-width: 768px) {
  .ceo_content--area .fac-subtit {
    font-size: 1rem;
    line-height: 1.8;
  }
}

.name-tx {
  text-align: right;
  margin-bottom: 50px;
  font-weight: var(--font-m);
  font-size: 15px;
}
.content--area .ceo_img {
  margin-bottom: 120px;
}

/* designlab */
.designlab_section {
  margin-bottom: 120px;
}

/* factory */
.fac--list {
  display: flex;
  flex-direction: column;
}
.tokevi_section .fac--list .fac--item {
  padding-bottom: 30px;
}
.fac--list .fac--item {
  display: flex;
  flex-direction: column;
}
.fac--list .fac--item .fac-tit {
  display: flex;
  font-size: 18px;
  margin-bottom: 10px;
}
.fac--list .fac--item .fac-tit span {
  position: relative;
  padding-left: 10px;
  margin-left: 10px;
  opacity: 0.6;
}

.fac--list .fac--item .fac-tit span::before {
  position: absolute;
  content: "";
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  width: 2px;
  height: 50%;
  opacity: 0.6;
  background: #000;
}
.fac-subtit {
  max-width: 840px;
  margin-bottom: 30px;
}
/* 문단 느낌을 위한 여백 */
.fac-subtit br + br {
  display: block;
  content: "";
  margin-top: 20px;
}

/* 서명 */
.fac-subtit strong,
.fac-subtit em {
  display: block;
  margin-top: 40px;
  font-weight: 500;
  text-align: right;
}

.fac--list .fac--item .fac-right--block {
  display: flex;
  flex-direction: column;
  flex: 1;
}
.fac--list .fac--item .fac-right--block .video--block {
  position: relative;
  filter: brightness(100%);
}
.fac--list .fac--item .fac-right--block .video--block .gif_video {
  width: 100%;
}
.fac--list .fac--item .fac-right--block .video--block .play_ic {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 2;
  cursor: pointer;
}
.fac--list .fac--item .fac-right--block .video--block video {
  filter: brightness(80%);
}

/* youtube overlay */
.video-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.8);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.iframe-wrapper {
  position: relative;
  width: 70vw;
  aspect-ratio: 16 / 9;
}

.iframe-wrapper iframe {
  width: 100%;
  height: 100%;
  border: none;
}

.close-iframe {
  position: absolute;
  top: -40px;
  right: 0;
  background: none;
  color: var(--primary-white);
  font-size: 20px;
  border: none;
  cursor: pointer;
}

/* brands page */
.store_link--btn {
  display: flex;
  align-items: center;
  gap: 10px;
}
.store_link--btn p {
  position: relative;
  font-weight: var(--font-sb);
  font-size: 14px;
}

.store_link--btn p::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  height: 1px;
  width: 100%;
  background-color: var(--primary-black);
  transition: width 0.4s ease;
}
.store_link--btn p:hover::before {
  animation: lineAni 0.4s;
  animation-duration: 0.7s;
}

/* toke */
.toke--list {
  display: flex;
  gap: 30px;
}
.toke--list .toke--item a {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.toke--list .toke--item a:hover .toke-bot img {
  transform: scale(1.1);
}
.toke--list .toke--item a:hover .toke-top .line::before {
  transition: all 0.4s;
}
.toke-top {
  display: flex;
  gap: 10px;
  font-size: 18px;
  font-family: var(--hoho);
}
.toke-top .img--block {
  width: 20px;
  height: 20px;
}
.toke-top .img--block img {
  transform: translateY(5px);
}
.toke-top .line {
  position: relative;
  transition: all 0.4s;
}
.toke-top .line::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  height: 1px;
  width: 0%;
  background-color: var(--primary-black);
  transition: all 0.4s ease;
}
.toke--list .toke--item a:hover .toke-top .line::before {
  width: 100%;
}
.toke-bot .img--block {
  transition: all 0.4s ease;
  overflow: hidden;
}
.toke-bot img {
  width: 100%;
  height: 100%;
  transition: all 0.4s ease;
}

/* commit */
.content--area .sustain_img {
  margin-bottom: 120px;
}
/* project */
.project-archive {
  flex: 0.92;
}

.project_tab--list {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-bottom: 40px;
}
.project_tab--list li a {
  position: relative;
  padding: 10px 0;
  padding-right: 20px;
  transition: all 0.4s ease;
  font-size: 16px;
  font-weight: var(--font-sb);
  color: #a4a4a4;
}
.project_tab--list li a::after {
  content: "";
  position: absolute;
  width: 1px;
  height: 12px;
  top: 50%;
  right: 5px;
  transform: translateY(-50%);
  background: #a4a4a4;
}
.project_tab--list li:last-child a::after {
  display: none;
}
.project_tab--list li a:hover {
  color: var(--primary-black);
}
.project_tab--list li.active a {
  color: var(--primary-black);
}
.project--area {
  flex: 0.78;
}
.project--list {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(2, auto);
  gap: 15px;
  margin-bottom: 100px;
}
.project--list .project--item {
  position: relative;
}
.project--list .project--item a {
  display: flex;
  align-content: center;
  flex-direction: column;
}
.project--list .project--item .tx--block {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px 0;
}
.project--list .project--item .tx--block.v1 {
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: column;
}
.project--list .project--item .tx--block strong {
  font-weight: var(--font-sb);
  font-size: 16px;
}
.project--list .project--item .tx--block p {
  font-size: 13px;
}
.project--list .img--block::before {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(to top, rgba(0, 0, 0, 0.35) 0%, transparent 30%);
  z-index: 1;
}
.project--list .img--block {
  position: relative;
  width: 100%;
  height: auto;
  overflow: hidden;
  aspect-ratio: 4 / 5;
}
.project--list .img--block img {
  width: 100%;
  height: 100%;
  transition: all 0.4s ease;
}

.project--item a:hover .img--block img {
  transform: scale(1.05);
}

.project-year-button,
.project-years {
  margin-bottom: 40px;
  font-weight: var(--font-r);
  font-family: "HOHODANG";
}
.single-projects {
  margin-bottom: 120px;
}
.single-projects .project--item {
  display: flex;
  margin-left: auto;
  flex-direction: column;
  justify-content: flex-end;
  padding: 0 50px;
  max-width: 1000px;
}
.single-projects .img--block {
  display: flex;
  justify-content: flex-end;
  flex-direction: column;
  gap: 30px;
  max-width: 1000px;
  overflow: hidden;
}
.single-projects .img--block img {
  width: 100%;
  height: 100%;
}
.single-projects p {
  word-break: keep-all;
  overflow-wrap: break-word;
}

.project-content {
  width: 100%;
  margin-bottom: 50px;
  text-transform: none;
}

@media screen and (max-width: 1440px) {
  .project--list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, auto);
    gap: 20px;
  }
}

/* stock */
.stock--list {
  display: flex;
  flex-direction: column;
  gap: 40px;
  text-transform: none;
  margin-bottom: 120px;
}
.stock--list li {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.stockist-tx {
  max-width: 300px;
  margin-right: 50px;
  font-size: 16px;
  font-weight: var(--font-m);
}
.stock-fx {
  display: flex;
  align-items: center;
  gap: 10px;
}
.stock-fx > a {
  display: flex;
  align-items: center;
  gap: 10px;
}
.stock_img--wrapper {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-top: 30px;
  margin-right: 140px;
}
.content--area .stock--list li strong {
  font-size: 16px;
  font-weight: var(--font-sb);
}
.content--area .stock--list li p {
  font-size: 14px;
}

/* recuruit */
.recuruit--list {
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding-right: 15%;
  padding-bottom: 120px;
}
.recuruit--list .recuruit--item {
}
.recuruit--list .recuruit--item .rc_content {
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding: 10px 0;
  border-bottom: 1px solid #000;
}
.recuruit--list .recuruit--item .rc_content .rc--top {
  display: flex;
  justify-content: space-between;
}
.recuruit--list .recuruit--item .rc_content .rc--top strong {
  font-size: 14px;
  font-weight: var(--font-sb);
}
.recuruit--list .recuruit--item .rc_content .rc--bot {
}
.recuruit--list .recuruit--item .rc_content .rc--bot p {
  font-size: 14px;
}

.recuruit--list .recuruit--viewitem {
  border-bottom: 1px solid #000;
  padding: 30px 0;
}
.recuruit--list .recuruit--viewitem:last-child {
  border: none;
}
.recuruit--list .recuruit--viewitem:first-child {
  padding-top: 0;
}
.recuruit--list .recuruit--viewitem strong {
  display: block;
  font-size: 16px;
  font-weight: var(--font-sb);
  margin-bottom: 10px;
}
.recuruit--list .recuruit--viewitem ul {
  display: flex;
  flex-direction: column;
}
.recuruit--list .recuruit--viewitem ul li {
  position: relative;
  padding-left: 20px;
  font-size: 14px;
  font-weight: var(--font-r);
}
.recuruit--list .recuruit--viewitem ul li::before {
  position: absolute;
  content: "";
  top: 50%;
  left: 10px;
  transform: translateY(-50%);
  width: 3px;
  height: 3px;
  border-radius: 50%;
  background: #000;
}

.rc-tx {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.rc-tx strong {
  font-weight: var(--font-sb);
  font-size: 16px;
}
.rc-tx p {
  font-size: 14px;
}

.tx--block strong {
  display: block;
  font-size: 16px;
  font-weight: var(--font-sb);
}

/* pagination */
.pagination {
  padding-bottom: 40px;
}
.pagination .page-numbers {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 30px;
  color: #a4a4a4;
}
.pagination .page-numbers img {
}
.pagination .page-numbers .current {
  color: #000000;
}
@media screen and (max-width: 1375px) {
  .big_menu--area {
    display: none;
  }
  .timeline--list .tl--item .tl-tit {
    font-size: 16px;
  }
}

@media screen and (max-width: 992px) {
  .visible {
    display: block !important;
  }
  .about_section {
    padding-top: 60px;
  }
  .about_content {
    flex-direction: column;
  }
  .big_menu--area {
    display: none;
  }
  .big_menu--area.project-fx {
    display: block;
  }
  .sub_menu--area .sub_menu--list {
    display: none;
  }
  .sub_menu--area {
    margin-right: 20px;
    width: auto;
    margin-bottom: 0px;
  }

  .content--area .company_tx {
    font-size: 14px;
    margin-bottom: 25px;
  }

  .content--area h3 {
    font-size: 15px;
  }
  .about_content.temp2 .big_menu--area {
    display: none;
  }
  /* company */
  .company_section .content--area .img--block {
    margin-bottom: 60px;
  }

  /* timeline */
  .timeline--list {
    gap: 10px;
    margin-bottom: 60px;
  }
  .timeline--list .tl--item .tl-tit {
    font-size: 14px;
  }
  .timeline--list .tl--item .tl-hidden--block .tl-subtit {
    font-size: 13px;
  }
  /* ceo */
  .content--area .ceo_img {
    margin-bottom: 60px;
    /* aspect-ratio: 16 / 9; */
  }
  .name-tx {
    margin-top: 25px;
    margin-bottom: 25px;
  }
  /* designlab */
  .designlab_section {
    margin-bottom: 60px;
  }
  /* fac */
  .about_section .fac-subtit {
    font-size: 14px;
  }
  .fac--list .fac--item .fac-tit {
    display: flex;
    flex-direction: column;

    font-size: 15px;
  }
  .fac--list .fac--item .fac-tit span {
    padding-left: 0;
    margin-left: 0;
  }
  .fac--list .fac--item .fac-tit span::before {
    content: none;
  }
  .fac--list .fac--item p {
    font-size: 14px;
  }
  .fac--list .fac--item {
    display: flex;
    flex-direction: column;
  }
  .about_content.temp2 .content--area {
    max-width: 100%;
    flex: 1;
  }
  .fac--list .fac--item .fac-right--block .fac-subtit p {
    font-size: 14px;
  }
  .fac--list .fac--item .fac-right--block .video--block {
    aspect-ratio: 16 / 9;
    height: auto;
  }
  .fac--list .fac--item .fac-right--block .video--block .play_ic img {
    transform: scale(0.8);
  }
  /* youtube overlay */
  .iframe-wrapper {
    width: 95vw;
  }
  /* brands page */
  .fac-right--block .brands_img {
    /* aspect-ratio: 16 / 9; */
    height: auto;
  }
  /* project */
  .project--list {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    grid-template-rows: repeat(auto, auto);
    margin-bottom: 40px;
  }
  .project_tab--list {
    padding-top: 30px;
  }
  .project--list .img--block {
    width: 100%;
    height: 100%;
    overflow: hidden;
  }
  .single-projects p {
    font-size: 14px;
  }
  .single-projects .project--item {
    padding: 0;
  }
  .project-content {
    text-align: left;
  }
  /* toek */
  .toke--list {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    grid-template-rows: repeat(1, auto);

    gap: 50px;
    margin-bottom: 60px;
  }
  /* recuruit */
  .recuruit--list {
    padding-right: 0%;
    padding-bottom: 60px;
  }
  /* stock */
  .stock--list {
    gap: 20px;
    margin-bottom: 60px;
  }
  .stockist-tx {
    max-width: 100%;
  }
  .stock--list li {
    gap: 5px;
  }
}

@media screen and (max-width: 680px) {
  .tl-top--row {
    align-items: flex-start;
  }
}

@keyframes lineAni {
  from {
    width: 0;
  }
  to {
    width: 100%;
  }
}
